%define name oracle-validated
%define version 1.1.0
%define release 17.el5

Summary: Verifies and sets system parameters based on Oracle validated configuration recommendations for OEL5
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPL
Vendor:Oracle
Source: %{name}-%{version}.tar.gz
Patch0:%{name}-1.0.0-11g.patch
Patch1:%{name}-1.0.0-hangcheck.patch
Patch2:%{name}-1.0.0-awk-fixes.patch
Patch3:%{name}-1.0.0-miscellaneous-fixes.patch
Patch4:%{name}-1.0.0-bind-utils-numa-fixes.patch
Patch5:%{name}-1.0.0-disable-login-oracle-user.patch
Patch6:%{name}-1.0.0-disable-login-existing-oracle-user.patch
Patch7:%{name}-1.0.0-id-check.patch
Provides: %{name} = %{version}

PreReq:/etc/redhat-release

Requires:irqbalance >= 2:0.55-16 , kernel-uek >= 2.6.32
Requires:oraclelinux-release, util-linux >= 2.13-0.52.0.1.el5_4.1
Requires:procps module-init-tools ethtool initscripts bc pam
Requires:binutils  gcc gcc-c++ glibc-common  glibc-headers  libaio-devel make sysstat  elfutils-libelf-devel unixODBC-devel xorg-x11-xinit xorg-x11-utils bind-utils libaio  

Requires:ksh

%ifarch i386 i486 i586 i686
Requires:compat-libstdc++-33 glibc glibc-devel libgcc libstdc++ libstdc++-devel libaio setarch unixODBC gdbm libXp libXtst
%endif

%ifarch x86_64
Requires: libstdc++.so.5()(64bit) libstdc++.so.5  libc.so.6 libc.so.6()(64bit) /usr/lib/libc.so /usr/lib64/libc.so libgcc_s.so.1 libgcc_s.so.1()(64bit) libstdc++.so.6 libstdc++.so.6()(64bit) /usr/lib/gcc/x86_64-redhat-linux/4.1.1/libstdc++.a libaio.so.1()(64bit) libaio.so.1 libXp.so.6 libodbc.so.1()(64bit) libgdbm.so.2()(64bit)  /usr/lib/libXtst.so.6 /usr/lib/libXt.so.6 /usr/lib/libSM.so.6 /usr/lib/libICE.so.6 /usr/lib/libaio.so /usr/lib/libodbc.so.1 /usr/lib/libodbccr.so /usr/lib64/libaio.so /usr/lib64/libodbccr.so /lib/security/pam_limits.so
%endif 

Conflicts:kernel-utils
Obsoletes:kernel-utils

BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package verifies and sets system parameters based on Oracle validated configuration recommendations for Oracle Enterprise Linux Release 5
Files affected: /etc/sysctl.conf, /etc/security/limits.conf, /etc/modprobe.conf, /boot/grub/menu.lst.
For changes to modules, this package installation will modify module paramters and re-insert. 

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 oracle-validated-verify $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 755 oracle-validated-verify $RPM_BUILD_ROOT/usr/bin
install -m 644 oracle-validated.params $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 755 oraclevalidated $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -f -s /etc/sysconfig/%{name}/oracle-validated-verify  $RPM_BUILD_ROOT/usr/bin/oracle-validated-verify 2> /dev/null;

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f  /etc/sysconfig/%{name}/oracle-validated.params ]; then 
  cp -f /etc/sysconfig/%{name}/oracle-validated.params /tmp 2> /dev/null
fi

if [ -d /etc/sysconfig/%{name} ]; then
  rm -rf /etc/sysconfig/%{name} 2> /dev/null
fi	

%post
/usr/bin/oracle-validated-verify 2> /dev/null 1>&2

if ! [ -f /etc/sysconfig/oracle-validated/oracle-validated.conf ]; then
	chkconfig --add oraclevalidated 
fi

%preun
if [ "$1" = "0" ] ; then # last uninstall
 chkconfig --del oraclevalidated
 if [ -x /usr/bin/oracle-validated-verify ]; then
   /usr/bin/oracle-validated-verify -u 2> /dev/null 1>&2
 fi
fi

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /etc/sysconfig/%{name} ]; then
   rm /usr/bin/oracle-validated-verify 2> /dev/null
   rm -rf /etc/sysconfig/%{name} 2> /dev/null
 fi
 if [ -d /var/log/%{name} ]; then	
   rm -rf /var/log/%{name} 2> /dev/null	
 fi
fi

%files
%defattr(-,root,root)
%config /etc/sysconfig/%{name}/oracle-validated.params
/etc/sysconfig/%{name}/oracle-validated-verify
/usr/bin/oracle-validated-verify
/etc/rc.d/init.d/oraclevalidated

%changelog
* Mon Nov 19 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.1.0-17.el5]
- removed path of i386 libaio
- move link creation to install 

* Thu Nov 8 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.1.0-16.el5]
- fix for bz14121
- Added libaio as dependency for orabug14809272

* Fri Jan 27 2012 Gurudas Pai <gurudas.pai@oracle.com> [1.1.0-15.el5]
- removed gdb, kernel-headers, compat-gcc-34, compat-gcc-34-c++, 
- libgnome,  libdb-4.2.so, comapat-db bugdb12583527

* Fri Jul 1 2011 Gurudas Pai <gurudas.pai@oracle.com> [1.1.0-14.el5]
- bug 12690713 <gurudas.pai@oracle.com>

* Tue Jun 28 2011 Kevin Lyons <kevin.x.lyon@oracle.com> [1.1.0-13.el5]
- Add pam as a pre-requisite [bug 12690713]

* Tue Jun 7 2011 Gurudas Pai <gurudas.pai@oracle.com> [1.1.0-12.el5]
- disable login for existing oracle user for bug12623491

* Sun Jun 5 2011 Gurudas Pai <gurudas.pai@oracle.com> [1.1.0-11.el5]
- disable login for oracle user for bug12623491

* Wed Apr 13 2011 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-10.el5]
- removed remove-min-free-kbytes patch

* Tue Apr 12 2011 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-9.el5]
- change kernel-uek-headers to kernel-headers

* Mon Jan 17 2011 Gurudas Pai <gurudas.pai@oracle.com> [ 1.1.0-8.el5]
- Remove min_free_kbytes for UEK kernel orabug10317359

* Wed Nov 17 2010 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-7.el5]
- Change package name from kernel to kernel-uek

* Thu Oct 28 2010 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-6.el5]
- Added kernel dependency

* Thu Sep 23 2010 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-5.el5]
- Deleted comma at the end of dependency line

* Mon Sep 20 2010 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-4.el5]
- fixed kernel dependency

* Wed Sep 16 2010 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-3.el5]
- Changed  oracle-release to oraclelinux-release.
- remove util-liux as we added util-linux with specific version.

* Wed Sep 14 2010 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-2.el5]
- Added util-linux and oracle-release.

* Fri Sep 10 2010 Keshav Sharma <keshav.sharma@oracle.com [ 1.1.0-1.el5]
- oracle-validated for OOL. 
- Picked up changes for irqbalance and kernel dependency done by Gurudas Pai.

* Tue Apr 13 2010 Gurudas Pai    <gurudas.pai@oracle.com> [1.0.0-24.el5]
      - minor fixes for bug9582483
      - Added bind-utils package for both i386 and x86_64 archs
      - Added libaio-devel(x86-64) and unixODBC-devel(x86-64) for x86_64
      - Keep a copy of old setting in /var/log/oracle-validated/backup during every oracle-validate-verify run with timestamp.
      - Added comments all setting done by oracle-validated rpm
      - disable NUMA for both intel and amd processors.
* Wed Dec 22 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Fixed issue with finding large user/group from passwd/groups file
* Wed Dec 16 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Fixed issue with oracle user creation for large uid
* Tue Nov 22 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Added vm.min_free_kbytes settings to avoid OOM killer
      - uid/gid values made persistent for oracle user and group
      - Modified fs.file-max setting, net.ipv4.ip_local_port_range, net.core.wmem_max to suit 11gr2
      - Added libaio-devel, unixODBC, unixODBC-devel 32bit packages for 11gr2 64bit installation.

* Tue Mar 17 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Added xorg-x11-utils package dependency for x86 and x86_64 minimal install with oracle 11g.
      - Removed enterprise-release package dependency and added /etc/redhat-release file dependency to support RHEL
      - Moved oracle-validated log location to /var/log from /etc/sysconfig directory. 	
      - Set stack's hard limit to 32MB on X86 Architectures.
      - Encrypted oracle user account password. 
      - Added oraclevalidated service to fix issue related to boot parameter modification during oracle-validated selected  from iso.	
* Tue Jan 28 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Added /usr/lib/libXtst.so.6 dependency for x86 to fix 10.2.0.1 OUI issue.
* Mon Jan 26 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0.0-15.el5
      - Added i386 version of libXt, libICE, and libSM to Requires list for x86_64.
* Fri Jan 23 2009 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Modified License of oracle-validated to GPL from oracle.	
* Mon Dec 17 2008 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Modifed patch oracle-validated-1.0.0-miscellaneous-fixes.patch to remove PAM settings, Fixed issue related to numa=off setting on x86_64 AMD machines.
* Mon Dec 04 2008 Bhanu Prakash    <bhanuprakash.bodireddy@oracle.com>
      - Modifed patch oracle-validated-1.0.0-miscellaneous-fixes.patch to include PAM settings,shmax,shmall settings and change in oracle group.
* Thu Oct 10 2008 Bhanu Prakash	   <bhanuprakash.bodireddy@oracle.com>
      - Added patch oracle-validated-1.0.0-miscellaneous-fixes.patch for shmmax, shmall values, error handling of code.
* Thu Jul 24 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added patch oracle-validated-1.0.0-awk-fixes.patch for minor fixes in config file changes.
* Thu Jul 15 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added gdb package dependency.
* Thu May 22 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added patch oracle-validated-1.0.0-hangcheck.patch to remove hangcheck-timer related functionality.
* Fri May 09 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Removed control-center dependency from spec file, as this package is not needed any more.
* Wed Apr 30 2008 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added bc dependency in spec file to handle missing bc package in EL5U2 minimal install.
* Mon Dec 24 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added libaio and libstdc++ 32 bit dependency in spec file for 11g support
      - Fixed parsing issue with RC edited sysctl file and 11g kernel param change in 11g patch
* Thu Aug 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added enterprise-release dependency to fix el4/5 cross install issue
      - Added /usr/lib/libXtst.so.6 dependency for x86-64 to fix 10.2.0.1 OUI issue
      - Added xorg-x11-xinit dependency. As package is missing in minimum installs
      - Removed fontconfig dependency as issue has been fixed in el5
* Thu Aug 1 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Removed root from install steps in spec file for mock build
* Thu Jul 31 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Replaced Copyright tag with License in spec file
* Thu Jul 19 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added unixODBC and unixODBC-devel dependencies
      - Fixed shmmax issue with 32 bit machines with large RAM
      - Made package name changes for el5
* Thu Feb 27 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Added fontconfig >= 2.2.3-7.0.1 fontconfig md5 sum issue fixed in this version
      - Changed release name to 3.el4
* Thu Feb 20 2007 Srinivas Maturi  <srinivas.maturi@oracle.com>
      - Bumped the release number from 2 to 3
* Thu Feb 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Incorporated i386 compat-libstdc++-33 dependency
      - Added elfutils-libelf-devel to dependency list
* Thu Feb 20 2007 Manoj Ramanujan  <manoj.ramanujan@oracle.com>
      - Fix for cross arch dependency bug 2115
      - Suppress insmod output during install. redirect to logfile
      - Add Vendor tag to RPM spec
      - Moved rollback of config file changes during uninstall from spec file to script 
